Index: src/plugins/sip/src/java/net/java/sipmack/sip/CallDispatcher.java
===================================================================
--- src/plugins/sip/src/java/net/java/sipmack/sip/CallDispatcher.java	(revision 11009)
+++ src/plugins/sip/src/java/net/java/sipmack/sip/CallDispatcher.java	(working copy)
@@ -1,61 +1,12 @@
-/* ====================================================================
- * The Apache Software License, Version 1.1
- *
- * Copyright (c) 2000 The Apache Software Foundation.  All rights
- * reserved.
- *
- * Redistribution and use in source and binary forms, with or without
- * modification, are permitted provided that the following conditions
- * are met:
- *
- * 1. Redistributions of source code must retain the above copyright
- *    notice, this list of conditions and the following disclaimer.
- *
- * 2. Redistributions in binary form must reproduce the above copyright
- *    notice, this list of conditions and the following disclaimer in
- *    the documentation and/or other materials provided with the
- *    distribution.
- *
- * 3. The end-user documentation included with the redistribution,
- *    if any, must include the following acknowledgment:
- *       "This product includes software developed by the
- *        Apache Software Foundation (http://www.apache.org/)."
- *    Alternately, this acknowledgment may appear in the software itself,
- *    if and wherever such third-party acknowledgments normally appear.
- *
- * 4. The names "Apache" and "Apache Software Foundation" must
- *    not be used to endorse or promote products derived from this
- *    software without prior written permission. For written
- *    permission, please contact apache@apache.org.
- *
- * 5. Products derived from this software may not be called "Apache",
- *    nor may "Apache" appear in their name, without prior written
- *    permission of the Apache Software Foundation.
- *
- * THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
- * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
- * OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
- * DISCLAIMED.  IN NO EVENT SHALL THE APACHE SOFTWARE FOUNDATION OR
- * ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
- * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
- * LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
- * USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
- * ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
- * OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
- * OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
- * SUCH DAMAGE.
- * ====================================================================
+/**
+ * $Revision: $
+ * $Date: $
  *
- * This software consists of voluntary contributions made by many
- * individuals on behalf of the Apache Software Foundation.  For more
- * information on the Apache Software Foundation, please see
- * <http://www.apache.org/>.
+ * Copyright (C) 2009 Jive Software. All rights reserved.
  *
- * Portions of this software are based upon public domain software
- * originally written at the National Center for Supercomputing Applications,
- * University of Illinois, Urbana-Champaign.
+ * This software is published under the terms of the GNU Lesser Public License (LGPL),
+ * a copy of which is included in this distribution.
  */
-
 package net.java.sipmack.sip;
 
 import net.java.sipmack.sip.event.CallListener;
@@ -67,35 +18,12 @@
 import java.util.Enumeration;
 import java.util.Hashtable;
 
-/**
- * <p/>
- * Title: SIP COMMUNICATOR
- * </p>
- * <p/>
- * Description:JAIN-SIP Audio/Video phone application
- * </p>
- * <p/>
- * Copyright: Copyright (c) 2003
- * </p>
- * <p/>
- * Organisation: LSIIT laboratory (http://lsiit.u-strasbg.fr)
- * </p>
- * <p/>
- * Network Research Team (http://www-r2.u-strasbg.fr))
- * </p>
- * <p/>
- * Louis Pasteur University - Strasbourg - France
- * </p>
- *
- * @author Emil Ivov (http://www.emcho.com)
- * @version 1.1
- */
 class CallDispatcher implements CallListener {
 
     /**
      * All currently active calls.
      */
-    Hashtable calls = new Hashtable();
+    Hashtable<Integer, Call> calls = new Hashtable<Integer, Call>();
 
     Call createCall(Dialog dialog, Request initialRequest) {
         Call call = null;
@@ -108,13 +36,13 @@
         call.setDialog(dialog);
         call.setInitialRequest(initialRequest);
         // call.setState(Call.DIALING);
-        calls.put(new Integer(call.getID()), call);
+        calls.put(Integer.valueOf(call.getID()), call);
         call.addStateChangeListener(this);
         return call;
     }
 
     Call getCall(int id) {
-        return (Call) calls.get(new Integer(id));
+        return (Call) calls.get(Integer.valueOf(id));
     }
 
     /**
@@ -128,7 +56,7 @@
             return null;
         }
         synchronized (calls) {
-            Enumeration callsEnum = calls.elements();
+            Enumeration<Call> callsEnum = calls.elements();
             while (callsEnum.hasMoreElements()) {
                 Call item = (Call) callsEnum.nextElement();
                 if (item.getDialog().getCallId().equals(dialog.getCallId())) {
@@ -150,7 +78,7 @@
             return null;
         }
         synchronized (calls) {
-            Enumeration callsEnum = calls.elements();
+            Enumeration<Call> callsEnum = calls.elements();
             while (callsEnum.hasMoreElements()) {
                 Call item = (Call) callsEnum.nextElement();
                 if (item.getDialog().getCallId().equals(callId)) {
@@ -167,7 +95,7 @@
     }
 
     private void removeCall(Call call) {
-        calls.remove(new Integer(call.getID()));
+        calls.remove(Integer.valueOf(call.getID()));
     }
 
     // ================================ DialogListener =================
Index: src/plugins/sip/src/java/net/java/sipmack/events/UserCallControlEvent.java
===================================================================
--- src/plugins/sip/src/java/net/java/sipmack/events/UserCallControlEvent.java	(revision 11009)
+++ src/plugins/sip/src/java/net/java/sipmack/events/UserCallControlEvent.java	(working copy)
@@ -1,90 +1,20 @@
-/* ====================================================================
- * The Apache Software License, Version 1.1
- *
- * Copyright (c) 2000 The Apache Software Foundation.  All rights
- * reserved.
- *
- * Redistribution and use in source and binary forms, with or without
- * modification, are permitted provided that the following conditions
- * are met:
- *
- * 1. Redistributions of source code must retain the above copyright
- *    notice, this list of conditions and the following disclaimer.
- *
- * 2. Redistributions in binary form must reproduce the above copyright
- *    notice, this list of conditions and the following disclaimer in
- *    the documentation and/or other materials provided with the
- *    distribution.
- *
- * 3. The end-user documentation included with the redistribution,
- *    if any, must include the following acknowledgment:
- *       "This product includes software developed by the
- *        Apache Software Foundation (http://www.apache.org/)."
- *    Alternately, this acknowledgment may appear in the software itself,
- *    if and wherever such third-party acknowledgments normally appear.
- *
- * 4. The names "Apache" and "Apache Software Foundation" must
- *    not be used to endorse or promote products derived from this
- *    software without prior written permission. For written
- *    permission, please contact apache@apache.org.
- *
- * 5. Products derived from this software may not be called "Apache",
- *    nor may "Apache" appear in their name, without prior written
- *    permission of the Apache Software Foundation.
- *
- * THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
- * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
- * OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
- * DISCLAIMED.  IN NO EVENT SHALL THE APACHE SOFTWARE FOUNDATION OR
- * ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
- * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
- * LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
- * USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
- * ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
- * OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
- * OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
- * SUCH DAMAGE.
- * ====================================================================
+/**
+ * $Revision: $
+ * $Date: $
  *
- * This software consists of voluntary contributions made by many
- * individuals on behalf of the Apache Software Foundation.  For more
- * information on the Apache Software Foundation, please see
- * <http://www.apache.org/>.
+ * Copyright (C) 2009 Jive Software. All rights reserved.
  *
- * Portions of this software are based upon public domain software
- * originally written at the National Center for Supercomputing Applications,
- * University of Illinois, Urbana-Champaign.
+ * This software is published under the terms of the GNU Lesser Public License (LGPL),
+ * a copy of which is included in this distribution.
  */
-
 package net.java.sipmack.events;
 
 import net.java.sipmack.sip.InterlocutorUI;
 
-/**
- * <p/>
- * Title: SIP COMMUNICATOR
- * </p>
- * <p/>
- * Description:JAIN-SIP Audio/Video phone application
- * </p>
- * <p/>
- * Copyright: Copyright (c) 2003
- * </p>
- * <p/>
- * Organisation: LSIIT laboratory (http://lsiit.u-strasbg.fr)
- * </p>
- * <p/>
- * Network Research Team (http://www-r2.u-strasbg.fr))
- * </p>
- * <p/>
- * Louis Pasteur University - Strasbourg - France
- * </p>
- *
- * @author Emil Ivov (http://www.emcho.com)
- * @version 1.1
- */
 public class UserCallControlEvent extends java.util.EventObject {
-    public UserCallControlEvent() {
+	private static final long serialVersionUID = -7959924232399983785L;
+
+	public UserCallControlEvent() {
         super(null);
     }
 
Index: src/plugins/sip/src/java/net/java/sipmack/sip/RegisterProcessing.java
===================================================================
--- src/plugins/sip/src/java/net/java/sipmack/sip/RegisterProcessing.java	(revision 11009)
+++ src/plugins/sip/src/java/net/java/sipmack/sip/RegisterProcessing.java	(working copy)
@@ -2,7 +2,7 @@
  * $Revision: $
  * $Date: $
  *
- * Copyright (C) 2007 Jive Software. All rights reserved.
+ * Copyright (C) 2009 Jive Software. All rights reserved.
  *
  * This software is published under the terms of the GNU Lesser Public License (LGPL),
  * a copy of which is included in this distribution.
@@ -10,10 +10,10 @@
 
 package net.java.sipmack.sip;
 
-import net.java.sipmack.common.Log;
-import net.java.sipmack.sip.event.RegistrationEvent;
-import net.java.sipmack.sip.security.SipSecurityException;
-import net.java.sipmack.softphone.SoftPhoneManager;
+import java.text.ParseException;
+import java.util.ArrayList;
+import java.util.Timer;
+import java.util.TimerTask;
 
 import javax.sip.ClientTransaction;
 import javax.sip.InvalidArgumentException;
@@ -23,14 +23,24 @@
 import javax.sip.address.Address;
 import javax.sip.address.SipURI;
 import javax.sip.address.URI;
-import javax.sip.header.*;
+import javax.sip.header.AllowHeader;
+import javax.sip.header.CSeqHeader;
+import javax.sip.header.CallIdHeader;
+import javax.sip.header.ContactHeader;
+import javax.sip.header.EventHeader;
+import javax.sip.header.ExpiresHeader;
+import javax.sip.header.FromHeader;
+import javax.sip.header.MaxForwardsHeader;
+import javax.sip.header.ToHeader;
+import javax.sip.header.UserAgentHeader;
+import javax.sip.header.ViaHeader;
 import javax.sip.message.Request;
 import javax.sip.message.Response;
 
-import java.text.ParseException;
-import java.util.ArrayList;
-import java.util.Timer;
-import java.util.TimerTask;
+import net.java.sipmack.common.Log;
+import net.java.sipmack.sip.event.RegistrationEvent;
+import net.java.sipmack.sip.security.SipSecurityException;
+import net.java.sipmack.softphone.SoftPhoneManager;
 
 /**
  * Title: SIPark
@@ -147,9 +157,6 @@
     void processAuthenticationChallenge(ClientTransaction clientTransaction,
                                         Response response) {
         try {
-
-            Request register = clientTransaction.getRequest();
-
             ClientTransaction retryTran = sipManCallback.sipSecurityManager
                     .handleChallenge(response, clientTransaction);
 
@@ -248,7 +255,7 @@
             }
             // User Agent Header
             UserAgentHeader uaHeader = null;
-            ArrayList userAgentList = new ArrayList();
+            ArrayList<String> userAgentList = new ArrayList<String>();
             userAgentList.add(SoftPhoneManager.userAgent);
 
             try {
@@ -263,7 +270,7 @@
             }
 
             // Via Headers
-            ArrayList viaHeaders = sipManCallback.getLocalViaHeaders();
+            ArrayList<ViaHeader> viaHeaders = sipManCallback.getLocalViaHeaders();
             // MaxForwardsHeader
             MaxForwardsHeader maxForwardsHeader = sipManCallback
                     .getMaxForwardsHeader();
@@ -450,7 +457,7 @@
         }
         // User Agent Header
         UserAgentHeader uaHeader = null;
-        ArrayList userAgentList = new ArrayList();
+        ArrayList<String> userAgentList = new ArrayList<String>();
         userAgentList.add(SoftPhoneManager.userAgent);
 
         try {
@@ -465,7 +472,7 @@
         }
 
         // Via Headers
-        ArrayList viaHeaders = sipManCallback.getLocalViaHeaders();
+        ArrayList<ViaHeader> viaHeaders = sipManCallback.getLocalViaHeaders();
         // MaxForwardsHeader
         MaxForwardsHeader maxForwardsHeader = sipManCallback
                 .getMaxForwardsHeader();
@@ -599,7 +606,7 @@
         public KeepAliveTask(int s) {
             sec = s;
         }
-
+       
         public void run() {
             try {
                 if (sipManCallback.isRegistered()) {
Index: src/plugins/sip/src/java/net/java/sipmack/sip/SipManager.java
===================================================================
--- src/plugins/sip/src/java/net/java/sipmack/sip/SipManager.java	(revision 11009)
+++ src/plugins/sip/src/java/net/java/sipmack/sip/SipManager.java	(working copy)
@@ -11,28 +11,16 @@
 package net.java.sipmack.sip;
 
 import gov.nist.javax.sip.stack.SIPTransaction;
-import net.java.sipmack.common.Log;
-import net.java.sipmack.sip.event.CallEvent;
-import net.java.sipmack.sip.event.CallRejectedEvent;
-import net.java.sipmack.sip.event.CommunicationsErrorEvent;
-import net.java.sipmack.sip.event.CommunicationsListener;
-import net.java.sipmack.sip.event.MessageEvent;
-import net.java.sipmack.sip.event.RegistrationEvent;
-import net.java.sipmack.sip.event.UnknownMessageEvent;
-import net.java.sipmack.sip.security.SecurityAuthority;
-import net.java.sipmack.sip.security.SipSecurityManager;
-import net.java.sipmack.sip.security.Credentials;
-import net.java.sipmack.sip.simple.MessageProcessing;
 
 import java.net.InetAddress;
 import java.net.InetSocketAddress;
-import java.net.Inet4Address;
 import java.text.ParseException;
 import java.util.ArrayList;
 import java.util.Iterator;
 import java.util.List;
 import java.util.TooManyListenersException;
 
+import javax.sdp.SessionDescription;
 import javax.sip.ClientTransaction;
 import javax.sip.Dialog;
 import javax.sip.DialogTerminatedEvent;
@@ -69,7 +57,19 @@
 import javax.sip.message.MessageFactory;
 import javax.sip.message.Request;
 import javax.sip.message.Response;
-import javax.sdp.SessionDescription;
+
+import net.java.sipmack.common.Log;
+import net.java.sipmack.sip.event.CallEvent;
+import net.java.sipmack.sip.event.CallRejectedEvent;
+import net.java.sipmack.sip.event.CommunicationsErrorEvent;
+import net.java.sipmack.sip.event.CommunicationsListener;
+import net.java.sipmack.sip.event.MessageEvent;
+import net.java.sipmack.sip.event.RegistrationEvent;
+import net.java.sipmack.sip.event.UnknownMessageEvent;
+import net.java.sipmack.sip.security.Credentials;
+import net.java.sipmack.sip.security.SecurityAuthority;
+import net.java.sipmack.sip.security.SipSecurityManager;
+import net.java.sipmack.sip.simple.MessageProcessing;
 
 /**
  * Title: SIPark
@@ -190,7 +190,7 @@
      */
     protected ContactHeader contactHeader = null;
 
-    protected ArrayList viaHeaders = null;
+    protected ArrayList<ViaHeader> viaHeaders = null;
 
     protected static final int MAX_FORWARDS = 70;
 
@@ -985,7 +985,7 @@
     public ArrayList<ViaHeader> getLocalViaHeaders() throws CommunicationsException {
 
         ListeningPoint lp = sipProvider.getListeningPoint();
-        viaHeaders = new ArrayList();
+        viaHeaders = new ArrayList<ViaHeader>();
         try {
 
             ViaHeader viaHeader = headerFactory.createViaHeader(SIPConfig
Index: src/plugins/sip/src/java/net/java/sipmack/sip/security/CredentialsCacheEntry.java
===================================================================
--- src/plugins/sip/src/java/net/java/sipmack/sip/security/CredentialsCacheEntry.java	(revision 11009)
+++ src/plugins/sip/src/java/net/java/sipmack/sip/security/CredentialsCacheEntry.java	(working copy)
@@ -1,62 +1,13 @@
-package net.java.sipmack.sip.security;
-
-/* ====================================================================
- * The Apache Software License, Version 1.1
- *
- * Copyright (c) 2000 The Apache Software Foundation.  All rights
- * reserved.
- *
- * Redistribution and use in source and binary forms, with or without
- * modification, are permitted provided that the following conditions
- * are met:
- *
- * 1. Redistributions of source code must retain the above copyright
- *    notice, this list of conditions and the following disclaimer.
- *
- * 2. Redistributions in binary form must reproduce the above copyright
- *    notice, this list of conditions and the following disclaimer in
- *    the documentation and/or other materials provided with the
- *    distribution.
- *
- * 3. The end-user documentation included with the redistribution,
- *    if any, must include the following acknowledgment:
- *       "This product includes software developed by the
- *        Apache Software Foundation (http://www.apache.org/)."
- *    Alternately, this acknowledgment may appear in the software itself,
- *    if and wherever such third-party acknowledgments normally appear.
- *
- * 4. The names "Apache" and "Apache Software Foundation" must
- *    not be used to endorse or promote products derived from this
- *    software without prior written permission. For written
- *    permission, please contact apache@apache.org.
- *
- * 5. Products derived from this software may not be called "Apache",
- *    nor may "Apache" appear in their name, without prior written
- *    permission of the Apache Software Foundation.
- *
- * THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
- * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
- * OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
- * DISCLAIMED.  IN NO EVENT SHALL THE APACHE SOFTWARE FOUNDATION OR
- * ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
- * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
- * LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
- * USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
- * ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
- * OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
- * OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
- * SUCH DAMAGE.
- * ====================================================================
+/**
+ * $Revision: $
+ * $Date: $
  *
- * This software consists of voluntary contributions made by many
- * individuals on behalf of the Apache Software Foundation.  For more
- * information on the Apache Software Foundation, please see
- * <http://www.apache.org/>.
+ * Copyright (C) 2009 Jive Software. All rights reserved.
  *
- * Portions of this software are based upon public domain software
- * originally written at the National Center for Supercomputing Applications,
- * University of Illinois, Urbana-Champaign.
+ * This software is published under the terms of the GNU Lesser Public License (LGPL),
+ * a copy of which is included in this distribution.
  */
+package net.java.sipmack.sip.security;
 
 import java.util.Vector;
 
@@ -78,7 +29,7 @@
      * not reached this class). The transactionHistory's elements are Strings
      * corresponding to branch ids.
      */
-    private Vector transactionHistory = new Vector();
+    private Vector<String> transactionHistory = new Vector<String>();
 
     /**
      * Adds the specified branch id to the transaction history list.
Index: src/plugins/sip/src/java/net/java/sipmack/softphone/SoftPhoneSecurity.java
===================================================================
--- src/plugins/sip/src/java/net/java/sipmack/softphone/SoftPhoneSecurity.java	(revision 11009)
+++ src/plugins/sip/src/java/net/java/sipmack/softphone/SoftPhoneSecurity.java	(working copy)
@@ -1,3 +1,12 @@
+/**
+ * $Revision: $
+ * $Date: $
+ *
+ * Copyright (C) 2007 Jive Software. All rights reserved.
+ *
+ * This software is published under the terms of the GNU Lesser Public License (LGPL),
+ * a copy of which is included in this distribution.
+ */
 package net.java.sipmack.softphone;
 
 import net.java.sipmack.sip.security.SecurityAuthority;
Index: src/plugins/sip/src/java/net/java/sipmack/media/event/MediaEvent.java
===================================================================
--- src/plugins/sip/src/java/net/java/sipmack/media/event/MediaEvent.java	(revision 11009)
+++ src/plugins/sip/src/java/net/java/sipmack/media/event/MediaEvent.java	(working copy)
@@ -1,92 +1,20 @@
-/* ====================================================================
- * The Apache Software License, Version 1.1
- *
- * Copyright (c) 2000 The Apache Software Foundation.  All rights
- * reserved.
- *
- * Redistribution and use in source and binary forms, with or without
- * modification, are permitted provided that the following conditions
- * are met:
- *
- * 1. Redistributions of source code must retain the above copyright
- *    notice, this list of conditions and the following disclaimer.
- *
- * 2. Redistributions in binary form must reproduce the above copyright
- *    notice, this list of conditions and the following disclaimer in
- *    the documentation and/or other materials provided with the
- *    distribution.
- *
- * 3. The end-user documentation included with the redistribution,
- *    if any, must include the following acknowledgment:
- *       "This product includes software developed by the
- *        Apache Software Foundation (http://www.apache.org/)."
- *    Alternately, this acknowledgment may appear in the software itself,
- *    if and wherever such third-party acknowledgments normally appear.
- *
- * 4. The names "Apache" and "Apache Software Foundation" must
- *    not be used to endorse or promote products derived from this
- *    software without prior written permission. For written
- *    permission, please contact apache@apache.org.
- *
- * 5. Products derived from this software may not be called "Apache",
- *    nor may "Apache" appear in their name, without prior written
- *    permission of the Apache Software Foundation.
- *
- * THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
- * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
- * OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
- * DISCLAIMED.  IN NO EVENT SHALL THE APACHE SOFTWARE FOUNDATION OR
- * ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
- * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
- * LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
- * USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
- * ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
- * OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
- * OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
- * SUCH DAMAGE.
- * ====================================================================
+/**
+ * $Revision: $
+ * $Date: $
  *
- * This software consists of voluntary contributions made by many
- * individuals on behalf of the Apache Software Foundation.  For more
- * information on the Apache Software Foundation, please see
- * <http://www.apache.org/>.
+ * Copyright (C) 2009 Jive Software. All rights reserved.
  *
- * Portions of this software are based upon public domain software
- * originally written at the National Center for Supercomputing Applications,
- * University of Illinois, Urbana-Champaign.
+ * This software is published under the terms of the GNU Lesser Public License (LGPL),
+ * a copy of which is included in this distribution.
  */
-
 package net.java.sipmack.media.event;
 
 import java.util.EventObject;
 
-/**
- * <p/>
- * Title: SIP COMMUNICATOR
- * </p>
- * <p/>
- * Description:JAIN-SIP Audio/Video phone application
- * </p>
- * <p/>
- * Copyright: Copyright (c) 2003
- * </p>
- * <p/>
- * Organisation: LSIIT laboratory (http://lsiit.u-strasbg.fr)
- * </p>
- * <p/>
- * Network Research Team (http://www-r2.u-strasbg.fr))
- * </p>
- * <p/>
- * Louis Pasteur University - Strasbourg - France
- * </p>
- *
- * @author Emil Ivov (http://www.emcho.com)
- * @version 1.1
- */
-
 public class MediaEvent extends EventObject {
 
-    private String user;
+	private static final long serialVersionUID = 2025524719587153767L;
+	private String user;
 
     public MediaEvent(Object source) {
         super(source);
@@ -96,4 +24,8 @@
         super(source);
         user = u;
     }
+    
+    public String getUser() {
+    	return user;
+    }
 }
\ No newline at end of file
Index: src/plugins/jingle/src/java/org/jivesoftware/sparkplugin/JinglePlugin.java
===================================================================
--- src/plugins/jingle/src/java/org/jivesoftware/sparkplugin/JinglePlugin.java	(revision 11009)
+++ src/plugins/jingle/src/java/org/jivesoftware/sparkplugin/JinglePlugin.java	(working copy)
@@ -44,6 +44,7 @@
 import org.jivesoftware.spark.util.SwingWorker;
 import org.jivesoftware.spark.util.log.Log;
 import org.jivesoftware.sparkimpl.plugin.gateways.transports.TransportUtils;
+import org.jivesoftware.sparkimpl.settings.local.SettingsManager;
 
 import javax.swing.*;
 import javax.swing.text.BadLocationException;
@@ -71,6 +72,7 @@
 
         // Set Jingle Enabled
         JingleManager.setJingleServiceEnabled();
+        JingleManager.setServiceEnabled(SparkManager.getConnection(), true);
         
         // Add to PhoneManager
         PhoneManager.getInstance().addPhone(this);
@@ -98,8 +100,8 @@
                 JingleTransportManager transportManager = new ICETransportManager(SparkManager.getConnection(), stunServer, stunPort);
                 List<JingleMediaManager> mediaManagers = new ArrayList<JingleMediaManager>();
 
-                // if running on Windows use Direct Sound for better performance
-                String locator = Spark.isWindows() ? "dsound://" : "javasound://";
+                // Get the Locator from the Settings
+                String locator =  SettingsManager.getLocalPreferences().getAudioDevice();
 
                 mediaManagers.add(new JmfMediaManager(locator, transportManager));
                 mediaManagers.add(new SpeexMediaManager(transportManager));
@@ -143,6 +145,7 @@
         // Listen in for new incoming Jingle requests.
         jingleManager.addJingleSessionRequestListener(new JingleSessionRequestListener() {
             public void sessionRequested(final JingleSessionRequest request) {
+            	System.out.println("REQUEST:" + request);
                 SwingUtilities.invokeLater(new Runnable() {
                     public void run() {
                         incomingJingleSession(request);
@@ -211,7 +214,6 @@
         if (PhoneManager.isUseStaticLocator() && PhoneManager.isUsingMediaLocator()) {
             return;
         }
-
         PhoneManager.setUsingMediaLocator(true);
 
         jid = SparkManager.getUserManager().getFullJID(jid);
